org.apache.cxf.transport

## Class ChainInitiationObserver

- java.lang.Object
- - org.apache.cxf.transport.ChainInitiationObserver

- All Implemented Interfaces:
    MessageObserver

      public class ChainInitiationObserver
      extends Object
      implements MessageObserver

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Bus` | `bus`
    `protected Endpoint` | `endpoint`
    `protected ClassLoader` | `loader`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChainInitiationObserver(Endpoint endpoint, Bus bus)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Binding` | `getBinding()`
    `Endpoint` | `getEndpoint()`
    `void` | `onMessage(Message m)` Called for an incoming message, i.e.
    `protected void` | `setExchangeProperties(Exchange exchange, Message m)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### endpoint

          protected Endpoint endpoint

    - #### bus

          protected Bus bus

    - #### loader

          protected ClassLoader loader

  - ### Constructor Detail

    - #### ChainInitiationObserver

          public ChainInitiationObserver(Endpoint endpoint,
                                         Bus bus)

  - ### Method Detail

    - #### onMessage

          public void onMessage(Message m)

      Description copied from interface: `MessageObserver`
      Called for an incoming message, i.e. where the content format(s) is/are source(s).
      Specified by:
        `onMessage` in interface `MessageObserver`

    - #### getBinding

          protected Binding getBinding()

    - #### setExchangeProperties

          protected void setExchangeProperties(Exchange exchange,
                                               Message m)

    - #### getEndpoint

          public Endpoint getEndpoint()

Apache CXF